<?
//
//
#Автор: Jquery
#telegram: @justin_olivier
//
//
require_once($_SERVER['DOCUMENT_ROOT'].'/jquery/inc/system.php');
//
//
if($user){
header('location:/index/');
exit();    
}
//
//
$r = rand(100000,900000);
$name = 'Странник_'.$r;
//
//
$token = password_hash(time().$r, PASSWORD_DEFAULT); //токен
$pass = password_hash($r, PASSWORD_DEFAULT); //ранодом пароль
DB::$dbs->query('INSERT INTO `users` SET `name` = ?, `token` = ?, `password` = ?, `time_reg` = ?, `gold` = ?, `start` = ?',[$name,$token,$pass,time(),200,1]);
setcookie('token', $token, time()+60*60*24*7, '/');
header('location:/index/');
exit();
//
//
?>